Subject: bug#16604: 24.3.50; False negatives in lisp-completion-at-point

From: Stefan Monnier <[email-masked]>
Date: Sat, 01 Feb 2014 21:39:26 -0500

> Is it okay to install the following patch?

I think it should wait.  I also think it should be configurable (I
definitely prefer the current behavior; in my use cases your behavior
makes the lisp--local-variables-completion-table pretty much useless
because there's almost always some other global variable that starts
with a similar prefix).

> On a related note, company-capf returns nil to `duplicates', but with the
> patch below, for example, I do receive duplicates from it.  And with another,
> functional completion table I wrote in a third-party package.  Should
> I change `duplicates' to t?

Hmm... I think so, yes.

        Stefan